Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.jms
Class AsyncAuditLogProducer

    java.lang.Object
      org.jbpm.process.audit.AbstractAuditLogger
          org.jbpm.process.audit.jms.AsyncAuditLogProducer

All Implemented Interfaces:
  EventListener, ProcessEventListener

    public class AsyncAuditLogProducer

extends AbstractAuditLogger

Asynchronous log producer that puts audit log events into JMS queue. It expects to have following objects available before it is fully operational:

- ConnectionFactory - used to create jMS objects required to send a message
- Queue - JMS destination where messages should be placed

It sends TextMessages with content of *Log classes (ProcessInstanceLog, NodeInstanceLog, VaraiableInstanceLog) serialized by Xstream. Such serialization allows:

- use of message selectors to filter which types of events should be processed by different consumer
- use any consumer to process messages - does not have to be default one
- use content based routing in more advanced scenarios

Default receiver is `AsyncAuditLogReceiver` class

Field Summary

Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger
`AFTER_COMPLETE_EVENT_TYPE, AFTER_NODE_ENTER_EVENT_TYPE, AFTER_NODE_LEFT_EVENT_TYPE, AFTER_START_EVENT_TYPE, AFTER_VAR_CHANGE_EVENT_TYPE, BEFORE_COMPLETE_EVENT_TYPE, BEFORE_NODE_ENTER_EVENT_TYPE, BEFORE_NODE_LEFT_EVENT_TYPE, BEFORE_START_EVENT_TYPE, BEFORE_VAR_CHANGE_EVENT_TYPE, builder, env`

Constructor Summary
`AsyncAuditLogProducer()`
`AsyncAuditLogProducer(KieSession session, boolean transacted)`

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `afterProcessStarted(ProcessStartedEvent event)` This listener method is invoked right after a process instance has been started.
`void` | `afterVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right after the value of a process variable has been changed.
`void` | `beforeNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
`void` | `beforeProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right before a process instance is being completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.
`void` | `beforeVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right before the value of a process variable is being changed.
`ConnectionFactory` | `getConnectionFactory()`
`Queue` | `getQueue()`
`boolean` | `isTransacted()`
`protected void` | `sendMessage(Object messageContent, Integer eventType)`
`void` | `setConnectionFactory(ConnectionFactory connectionFactory)`
`void` | `setQueue(Queue queue)`
`void` | `setTransacted(boolean transacted)`

Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger
`getBuilder, setBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncAuditLogProducer

    public AsyncAuditLogProducer()

### AsyncAuditLogProducer

    public AsyncAuditLogProducer(KieSession session,
                                 boolean transacted)

Method Detail

### getConnectionFactory

    public ConnectionFactory getConnectionFactory()

### setConnectionFactory

    public void setConnectionFactory(ConnectionFactory connectionFactory)

### getQueue

    public Queue getQueue()

### setQueue

    public void setQueue(Queue queue)

### beforeNodeTriggered

    public void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).

### afterNodeLeft

    public void afterNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).

### afterVariableChanged

    public void afterVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after the value of a process variable has been changed.

### beforeProcessStarted

    public void beforeProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being started.

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

### afterNodeTriggered

    public void afterNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).

### beforeNodeLeft

    public void beforeNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).

### beforeVariableChanged

    public void beforeVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before the value of a process variable is being changed.

### afterProcessStarted

    public void afterProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been started.

### beforeProcessCompleted

    public void beforeProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being completed (or aborted).

### sendMessage

    protected void sendMessage(Object messageContent,
                               Integer eventType)

### isTransacted

    public boolean isTransacted()

### setTransacted

    public void setTransacted(boolean transacted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.